Recent

Author Topic: Fpcupdeluxe  (Read 467523 times)

DonaldShimoda

  • Jr. Member
  • **
  • Posts: 91
    • Parallel Pascal Worlds
Re: Fpcupdeluxe
« Reply #1650 on: July 17, 2020, 03:43:27 pm »
trying to build on beagle bone using git

Going to install/update FPC only with given options.
FPCUP(deluxe) is starting up.

Bootstrap dir:         /home/debian/fpcupdeluxe2020/stable/fpcbootstrap
FPCupdeluxe basedir:   /home/debian/fpcupdeluxe2020/stable
FPC URL:               https://github.com/LongDirtyAnimAlf/fpcsource_3_2_0.git
FPC options:           
FPC source directory:  /home/debian/fpcupdeluxe2020/stable/fpcsrc
FPC install directory: /home/debian/fpcupdeluxe2020/stable/fpc
Lazarus URL:           https://github.com/LongDirtyAnimAlf/lazarussource_2_0_10.git
Lazarus options:       
Lazarus directory:     /home/debian/fpcupdeluxe2020/stable/lazarus

Please stand back and enjoy !

3-11-16 12:52:49: fpcupdeluxe: V300 (20200710) started.
FPCUPdeluxe V1.8.0a1 for arm-linux running on Debian GNU/Linux

fpcupdeluxe: info: FPCNativeInstaller (CleanModule: FPC): No FPC source directory (/home/debian/fpcupdeluxe2020/stable/fpcsrc) found [yet] ... nothing to be done
Found valid as application.
Found valid gunzip application.
Found valid tar application.
Found valid make application.
fpcupdeluxe: info: FPCNativeInstaller (GetModule: FPC): Start checkout/update of FPC sources.
Found valid git application.
fpcupdeluxe: info: FPCNativeInstaller (GitClient: FPC): Running GIT checkout or update.
Cloning into '/home/debian/fpcupdeluxe2020/stable/fpcsrc'...
fatal: unable to access 'https://github.com/LongDirtyAnimAlf/fpcsource_3_2_0.git/': server certificate verification failed. CAfile: /etc/ssl/certs/ca-certificates.crt CRLfile: none
Cloning into '/home/debian/fpcupdeluxe2020/stable/fpcsrc'...
fatal: unable to access 'https://github.com/LongDirtyAnimAlf/fpcsource_3_2_0.git/': server certificate verification failed. CAfile: /etc/ssl/certs/ca-certificates.crt CRLfile: none
Cloning into '/home/debian/fpcupdeluxe2020/stable/fpcsrc'...
fatal: unable to access 'https://github.com/LongDirtyAnimAlf/fpcsource_3_2_0.git/': server certificate verification failed. CAfile: /etc/ssl/certs/ca-certificates.crt CRLfile: none
fpcupdeluxe: ERROR: Tried to get FPC version from version.pas, but no version.pas found
fpcupdeluxe: ERROR: Tried to get FPC version from Makefile.fpc, but no Makefile.fpc found
fpcupdeluxe: info: FPCNativeInstaller (GetModule: FPC): FPC is at revision: 45643
fpcupdeluxe: info: FPCNativeInstaller (GetModule: FPC): No updates for FPC found.
fpcupdeluxe: info: FPCNativeInstaller (GetModule: FPC): No FPC patches defined.
fpcupdeluxe: info: FPCNativeInstaller (BuildModule: FPC): Building module FPC...
fpcupdeluxe: ERROR: FPCNativeInstaller (BuildModule: FPC): /home/debian/fpcupdeluxe2020/stable/fpcsrc/Makefile not found. Severe error. Should not happen. Aborting.


ERROR: Fpcupdeluxe fatal error !
Sequencer (FPC): Failure running fpcupdeluxe: error executing sequence FPC
Sequencer (Only): Failure running fpcupdeluxe: error executing sequence Only


nanobit

  • Jr. Member
  • **
  • Posts: 93
Re: Fpcupdeluxe
« Reply #1651 on: July 17, 2020, 05:12:47 pm »
Ok.
Next release:
The FPC-only (and Lazarus-only) button will do FPC native only, without cross.
The other (more luxery) speed-buttons will remain doing cross for win64 on win32.

Few weeks ago I install fpc after laz via fpc x86 windows version, and I didn't understand, why I need to install crosscompilers (win x64) via Cross tab...

Totya, I very much welcome the announced change, because:
Frequent updating (rebuilding) of unneeded cross-compiler slows down the update process and adds much disk-activity.

Do you want to include the cross-compiler without the few clicks?
This could require a new option for cross-compilers:
adding a checkbox on the cross-tabsheet: "add to native installs"
which would be off by default. Could be worth to submit such proposal.
The question is, how much comfortability do we need?

DonaldShimoda

  • Jr. Member
  • **
  • Posts: 91
    • Parallel Pascal Worlds
Re: Fpcupdeluxe
« Reply #1652 on: July 17, 2020, 06:43:21 pm »
trying to build on beagle bone using git


With SVN after update certificated works ok, but lazarus fails to compile

(9022) Compiling resource ../units/arm-linux/gtk2/lazarus.or
/home/debian/fpcupdeluxe2020/stable/lazarus/ide/lazarus.pp(165,1) Error: (9030) Can't call the resource compiler "/home/debian/fpcupdeluxe2020/stable/fpc/bin/arm-linux/fpcres", switching to external mode
/home/debian/fpcupdeluxe2020/stable/lazarus/ide/lazarus.pp(165,1) Fatal: (10026) There were 1 errors compiling module, stopping
Fatal: (1018) Compilation aborted
Error: /home/debian/fpcupdeluxe2020/stable/fpc/bin/arm-linux/ppcarm returned an error exitcode
Makefile:4144: recipe for target 'lazarus' failed
make[1]: *** [ide] Error 2
Makefile:4572: recipe for target 'ide' failed
make: *** [ide] Error 2
Makefile:3601: recipe for target 'ide' failed
fpcupdeluxe: ERROR: LazarusNativeInstaller (BuildModuleCustom: Lazarus): make returned exit status #512


ERROR: Fpcupdeluxe fatal error !
Sequencer (LazarusSimple): Failure running fpcupdeluxe: error executing sequence LazarusSimple
Sequencer (Only): Failure running fpcupdeluxe: error executing sequence Only


totya

  • Hero Member
  • *****
  • Posts: 643
Re: Fpcupdeluxe
« Reply #1653 on: July 17, 2020, 06:45:30 pm »
Ok.
Next release:
The FPC-only (and Lazarus-only) button will do FPC native only, without cross.
The other (more luxery) speed-buttons will remain doing cross for win64 on win32.

Few weeks ago I install fpc after laz via fpc x86 windows version, and I didn't understand, why I need to install crosscompilers (win x64) via Cross tab...

Totya, I very much welcome the announced change, because:
Frequent updating (rebuilding) of unneeded cross-compiler slows down the update process and adds much disk-activity.

Do you want to include the cross-compiler without the few clicks?
This could require a new option for cross-compilers:
adding a checkbox on the cross-tabsheet: "add to native installs"
which would be off by default. Could be worth to submit such proposal.
The question is, how much comfortability do we need?

In the crosstab I can do it with few click now (i386/windows)...

The problem, if any important function is changed silently... :) I thougth few weeks ago, it is a bug...

But as DonAlfredo said, the "install/update/fpc-laz" install cross compiler already.

Well then I suggest to change this line:
from: install/update/fpc-laz
to: install/update/fpc-laz +cross

to see everybody,whats happen.

To tell the truth, I prefer FPC only / Lazarus only buttons. Because if one changed from them, I need update only the one.

...and if any problem happens during update, I can better separation in this way.

Edit few things after post...
« Last Edit: July 17, 2020, 06:47:13 pm by totya »

nanobit

  • Jr. Member
  • **
  • Posts: 93
Re: Fpcupdeluxe
« Reply #1654 on: July 17, 2020, 07:10:09 pm »
Ok, the checkbox "add to native installs"
would also change the caption of the buttons.

DonAlfredo

  • Hero Member
  • *****
  • Posts: 1364
Re: Fpcupdeluxe
« Reply #1655 on: July 18, 2020, 10:15:37 pm »
@DonaldShimoda
AFAIK, the GIT error is caused by an outdated GIT client.
"Can't call the resource compiler" is caused by a lack of RAM. Please add swap space.

DonAlfredo

  • Hero Member
  • *****
  • Posts: 1364
Re: Fpcupdeluxe
« Reply #1656 on: July 18, 2020, 10:22:37 pm »
About win32 ->win64.
Hardcore logic calls for a pure native install only.
So, only win32 when using fpcup-win32. So, only win64 when using fpcup-win64.
The same is done on Linux. And macOS. And all others.
All extra crossing to be done by asking fpcup to do so.
However, its just a choice. And a choice can be made an option.

totya

  • Hero Member
  • *****
  • Posts: 643
Re: Fpcupdeluxe
« Reply #1657 on: July 19, 2020, 11:29:18 am »
About win32 ->win64.
Hardcore logic calls for a pure native install only.
So, only win32 when using fpcup-win32. So, only win64 when using fpcup-win64.

No problem, only one, this function changed silently... :)

ASBzone

  • Sr. Member
  • ****
  • Posts: 479
  • Automation leads to relaxation...
    • Free Console Utilities for Windows from BrainWaveCC
Re: Fpcupdeluxe
« Reply #1658 on: July 20, 2020, 01:34:30 am »
Strange.
Fixes gives me FPC 3.2.1 rev 45705
Stable gives me FPC 3.2.0 rev 45643

The error you see is caused by the fact that fixes and stable have different URL.
https://svn.freepascal.org/svn/fpc/branches/fixes_3_2/
https://svn.freepascal.org/svn/fpc/tags/release_3_2_0/
SVN does not handle an URL switch very well. You can tell fpcupdeluxe to try to switch. But my advice would be to maintain two different installs. Stable is a one-time-install, fixes an install that can be updated.


Thanks for this info.  I understand.
-ASB: https://www.BrainWaveCC.com

Lazarus v2.0.11 r64032 / FPC v3.2.1-r47152 (via FpcUpDeluxe) -- Windows 64-bit install w/32-bit cross-compile
Primary System: Windows 10 Pro x64, Version 2009 (Build 19042)
Other Systems: Windows 10 Pro x64, Version 2004 (Build 19041) or greater

zoltanleo

  • Sr. Member
  • ****
  • Posts: 283
Re: Fpcupdeluxe
« Reply #1659 on: July 27, 2020, 09:56:13 am »
Hi DonAlfredo

I get error using fpcup
Code: Bash  [Select][+][-]
  1. Going to install/update FPC only with given options.
  2. FPCUP(deluxe) is starting up.
  3.  
  4. Bootstrap dir:         /home/leyba/fpcupdeluxe/fpcbootstrap
  5. FPCupdeluxe basedir:   /home/leyba/fpcupdeluxe
  6. FPC URL:               https://svn.freepascal.org/svn/fpc/trunk
  7. FPC options:          
  8. FPC source directory:  /home/leyba/fpcupdeluxe/fpcsrc
  9. FPC install directory: /home/leyba/fpcupdeluxe/fpc
  10. Lazarus URL:               https://svn.freepascal.org/svn/lazarus/tags/lazarus_2_0_10
  11. Lazarus options:          
  12. Lazarus source directory:  /home/leyba/fpcupdeluxe/lazarus
  13. Lazarus install directory: /home/leyba/fpcupdeluxe/lazarus
  14.  
  15. Please stand back and enjoy !
  16.  
  17. 27-7-20 10:15:23: fpcupdeluxe: V304 (20200722) started.
  18. FPCUPdeluxe V1.8.0e for i386-linux running on Debian GNU/Linux
  19. ...
  20. <skiped>
  21. ...
  22. make[7]: вход в каталог «/home/leyba/fpcupdeluxe/fpcsrc/rtl/linux»
  23. /home/leyba/fpcupdeluxe/fpcsrc/compiler/ppc2 -Ur -Ur -Xs -O2 -n -Fi../inc -Fi../i386 -Fi../unix -Fii386 -FE. -FU/home/leyba/fpcupdeluxe/fpcsrc/rtl/units/i386-linux -Fl/usr/lib/gcc/i686-linux-gnu/8 -Sg -vw-n-h-l-d-u-t-p-c- -di386 -dRELEASE  -Us -Sg system.pp
  24. make[7]: *** [Makefile:4282: system.ppu] Ошибка сегментирования
  25. make[6]: *** [Makefile:2212: linux_all] Ошибка 2
  26. make[5]: *** [Makefile:5044: rtl] Ошибка 2
  27. make[4]: *** [Makefile:4886: next] Ошибка 2
  28. make[3]: *** [Makefile:4900: ppc3] Ошибка 2
  29. make[2]: *** [Makefile:4908: cycle] Ошибка 2
  30. make[1]: *** [Makefile:3043: compiler_cycle] Ошибка 2
  31. make: *** [Makefile:3075: build-stamp.i386-linux] Ошибка 2
  32. make[7]: выход из каталога «/home/leyba/fpcupdeluxe/fpcsrc/rtl/linux»
  33. make[6]: выход из каталога «/home/leyba/fpcupdeluxe/fpcsrc/rtl»
  34. make[5]: выход из каталога «/home/leyba/fpcupdeluxe/fpcsrc/compiler»
  35. make[4]: выход из каталога «/home/leyba/fpcupdeluxe/fpcsrc/compiler»
  36. make[3]: выход из каталога «/home/leyba/fpcupdeluxe/fpcsrc/compiler»
  37. make[2]: выход из каталога «/home/leyba/fpcupdeluxe/fpcsrc/compiler»
  38. make[1]: выход из каталога «/home/leyba/fpcupdeluxe/fpcsrc»
  39. make: выход из каталога «/home/leyba/fpcupdeluxe/fpcsrc»
  40.  
  41. fpcupdeluxe: ERROR: FPCNativeInstaller (CleanModule: FPC): Error running /usr/bin/make for FPC failed with exit code 512
  42. . Details:
  43.  
  44.  
  45. ERROR: Fpcupdeluxe fatal error !
  46. Sequencer (FPC): Failure running fpcupdeluxe: error executing sequence FPC
  47. Sequencer (Only): Failure running fpcupdeluxe: error executing sequence Only

It does not depend on what permission I run the executable file.

Now do I need to pre-install the stable compiler packages?  :o
« Last Edit: July 27, 2020, 09:59:53 am by zoltanleo »
Win10 LTSC x64/Deb 10 amd64/Darwin Cocoa:
Lazarus x32/x64 2.1(r.64129); FPC 3.3.1 (r.47400), FireBird 3.0.7

Sorry for my bad English, I'm using translator ;)

DonAlfredo

  • Hero Member
  • *****
  • Posts: 1364
Re: Fpcupdeluxe
« Reply #1660 on: July 27, 2020, 01:27:25 pm »
The log info is not enough for me to draw any conclusions.
Please enable verbose mode (in Setup+) and rerun and save, zip and attach the log in a new post.

zoltanleo

  • Sr. Member
  • ****
  • Posts: 283
Re: Fpcupdeluxe
« Reply #1661 on: July 27, 2020, 11:50:31 pm »
The log info is not enough for me to draw any conclusions.
Please enable verbose mode (in Setup+) and rerun and save, zip and attach the log in a new post.
Done (see attachment).
I think what it's no fpcupdeluxe problem, but it's fpc trunk problem. I was able to compile stable fpc successfully.

May I express a wish? I would really like to be able to specify the trunk revision number of the compiler/Lazarus. Sometimes it is possible to collect previous revisions if the current revision has any bugs. I've already seen these functions in setup+

And I am grateful to you for a wonderful program  ;)

Update: Can I ask to add Russian to the UI of the program?
« Last Edit: July 28, 2020, 01:41:41 am by zoltanleo »
Win10 LTSC x64/Deb 10 amd64/Darwin Cocoa:
Lazarus x32/x64 2.1(r.64129); FPC 3.3.1 (r.47400), FireBird 3.0.7

Sorry for my bad English, I'm using translator ;)

Thoru

  • Newbie
  • Posts: 1
Re: Fpcupdeluxe
« Reply #1662 on: July 28, 2020, 10:49:03 pm »
Hello everyone, first sorry for the English, because it is not my native language.
I'm new to lazarus / FPC but I have some experience in PASCAL / DELPHI, I'm trying to migrate to FPC
mainly for the excellent work in crosscompilation, I am trying to install an AVR (arduino) crosscompiler using fpcupdeluxe but I run into this error:
"sstrings.inc (1089.1) Fatal: Internal error 200309041"
"Fatal: Compilation aborted"

I'm using fpcupdeluxe 1.8.0.f buid 305, installing FPC / Lazarus Trunk on a Windows 10 x64 system.

Any help is welcome, thanks!

zoltanleo

  • Sr. Member
  • ****
  • Posts: 283
Re: Fpcupdeluxe
« Reply #1663 on: July 29, 2020, 03:40:47 pm »
I think what it's no fpcupdeluxe problem, but it's fpc trunk problem. I was able to compile stable fpc successfully.
Hi DonAlfredo.

I was still wrong in my assumptions. I tried to build fpc r.42781 via fpcupdeluxe (this revision is guaranteed to compile on Windows by batch file), but I got the same error. I attach the log.
« Last Edit: July 30, 2020, 02:27:28 pm by zoltanleo »
Win10 LTSC x64/Deb 10 amd64/Darwin Cocoa:
Lazarus x32/x64 2.1(r.64129); FPC 3.3.1 (r.47400), FireBird 3.0.7

Sorry for my bad English, I'm using translator ;)

totya

  • Hero Member
  • *****
  • Posts: 643
Re: Fpcupdeluxe
« Reply #1664 on: August 02, 2020, 09:16:36 pm »
Hi!

Usually I update my fpc / laz via the two different buttons (fpc only) (laz only). The mainly reason is the bad experience in the past.

Today evening I press the common update button, and at the end of the process, I got ugly errors:

Quote
(1008) 3494 lines compiled, 5.0 sec, 2589776 bytes code, 454756 bytes data
(1021) 3 warning(s) issued
(1022) 57 hint(s) issued
(1023) 5 note(s) issued
An unhandled exception occurred at $000000010001F90D:
EInOutError:
  $000000010001F90D
  $00000001000210FA
  $0000000100021187
  $0000000100048710
  $000000010001F1BD
  $0000000077AABF1D
  $0000000077A7CA19
  $0000000077850F2E
  $000000010001EF92
  $0000000077AABE9D
  $0000000077A8040A
  $0000000077AAB53E
  $0000000077A72AD4
  $0000000077A6D261
  $000000010001A95A
  $000000010001A1AB
  $00000001000A6DF9

After it, I update fpc and laz via seperated buttons, and the process ended without any errors.

Edit.: Win7 x64, fpcupdeluxe-x86_64-win64.exe 1.8.0e
« Last Edit: August 02, 2020, 09:18:47 pm by totya »

 

TinyPortal © 2005-2018